def load_alignments(filename):
    f = open(filename)
    aligns = []
    for row in f:
        if not row[0] == '#':
            data = row.split()
            aligns.append(data[1])
    f.close()
    return aligns

def compute_consensus(aligns):
    consensus = ""
    num_cols = len(aligns[0])

    # itero sugli indici di colonna
    for c in range(num_cols):
        col = [row[c] for row in aligns]
        counts = compute_counts(col)
        mostfreq = compute_most_freq(counts)
        if mostfreq not in ".-":
            consensus += mostfreq

    return consensus

def compute_counts(l):
    diz = {}
    for el in l:
        if not el in diz:
            diz[el] = 1
        else:
            diz[el] += 1
    return diz

def compute_most_freq(counts):
    maxkey = ""
    maxval = 0
    for k,v in counts.items():
        if v > maxval:
            maxval = v
            maxkey = k
    return maxkey
        

filename = input("Inserire nome file: ")
aligns = load_alignments(filename)
print(compute_consensus(aligns))
